﻿using Microsoft.Xna.Framework;
using WiimoteLib;

namespace Maze.Input.Wii.Models.Extensions
{
    public class BalanceBoard : WiiExtension
    {
        public BalanceBoard(Wiimote wiimote) : base(wiimote)
        {
        }

        public float Weight
        {
            get
            {
                return BalanceBoardState.WeightKg;
            }
        }

        public Vector2 CenterOfGravity
        {
            get
            {
                return new Vector2(BalanceBoardState.CenterOfGravity.X, BalanceBoardState.CenterOfGravity.Y);
            }
        }

        protected BalanceBoardState BalanceBoardState
        {
            get
            {
                return Wiimote.WiimoteState.BalanceBoardState;
            }
        }
    }
}
