﻿using System.Collections.Generic;
using Microsoft.Xna.Framework.Input;

namespace Maze.Input.Wrapper
{
    public abstract class BaseInputWrapper : IInputWrapper
    {
        public virtual bool IsActive
        {
            get
            {
                return true;
            }
        }

        public virtual bool IsGameplayAllowed
        {
            get
            {
                return true;
            }
        }

        public virtual List<string> Errors
        {
            get
            {
                return new List<string>();
            }
        }

        public virtual void Destroy()
        {
            
        }

        public abstract bool KeyPushed(Keys key);

        public abstract bool KeyDown(Keys key);
    }
}
