﻿using FlatRedBall.Graphics;

namespace Maze.Models.Items
{
    public class Lemon : Item
    {
        public Lemon(Layer layer, string contentManager) : base(layer, contentManager)
        {
        }

        protected override int Points
        {
            get
            {
                return 100;
            }
        }

        public override void Initialize(bool addToManagers)
        {
            LoadTexture("Lemon");
            base.Initialize(addToManagers);
        }
    }
}
