﻿using System;

namespace Maze.Models
{
    public static class Options
    {
        public enum Difficulty
        {
            Easy,
            Normal,
            Hard
        }

        public static Difficulty GameDifficulty
        {
            get
            {
                return Globals.GameDifficulty;
            }
            set
            {
                Globals.GameDifficulty = value;
            }
        }

        public static void ChangeDifficulty()
        {
            var currentDifficultyIndex = (int)GameDifficulty;

            var nextDifficulty = currentDifficultyIndex + 1;
            if (nextDifficulty < Enum.GetValues(typeof(Difficulty)).Length)
            {
                GameDifficulty = (Difficulty)nextDifficulty;
            }
            else
            {
                GameDifficulty = Difficulty.Easy;
            }
        }
    }
}
