using System;
using System.Collections.Generic;
using System.Text;
using FlatRedBall;
using FlatRedBall.Input;
using FlatRedBall.AI.Pathfinding;
using FlatRedBall.Graphics.Animation;
using FlatRedBall.Graphics.Particle;

using FlatRedBall.Math.Geometry;
using FlatRedBall.Math.Splines;
using BitmapFont = FlatRedBall.Graphics.BitmapFont;
using Cursor = FlatRedBall.Gui.Cursor;
using GuiManager = FlatRedBall.Gui.GuiManager;

#if FRB_XNA || SILVERLIGHT
using Keys = Microsoft.Xna.Framework.Input.Keys;
using Vector3 = Microsoft.Xna.Framework.Vector3;
using Texture2D = Microsoft.Xna.Framework.Graphics.Texture2D;


#endif

namespace RiverGame.Entities
{
	public partial class Player:PositionedObject
	{
		private void CustomInitialize()
		{
            BodySprite.Texture = FlatRedBallServices.Load<Texture2D>("content/screens/girl.png");
            this.Z = 1;
            
          

		}

        public Sprite Sprite {
            get { return BodySprite; }
            set { BodySprite = value; }
        
        }

		private void CustomActivity()
		{

            // Remove the variable declaration, use "MovementSpeed" variable defined in Glue
            InputManager.Xbox360GamePads[0].ControlPositionedObject(this, MovementSpeed);
		}

		private void CustomDestroy()
		{


		}

        private static void CustomLoadStaticContent(string contentManagerName)
        {


        }
	}
}
