using System;
using FlatRedBall;
using RiverGame.Entities;
using RiverGame.Screens;
namespace RiverGame.Screens
{
	public partial class MainMenu
	{
		void OnExitGameClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.ExitGameClick != null)
			{
				ExitGameClick( callingWindow);
			}
		}
		void OnExitGameClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			this.CurrentState = MainMenu.VariableState.ExitOkCancelVisible;
		}
		void OnOptionsButtonClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.OptionsButtonClick != null)
			{
				OptionsButtonClick( callingWindow);
			}
		}
		void OnOptionsButtonClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			
//LoadPopup(typeof(OptionsScreen).FullName, false);
//this.CurrentState = MainMenu.VariableState.ExitOkCancelVisible;
//this.CurrentState = MainMenu.VariableState.OptionsVisible;
this.CurrentState = MainMenu.VariableState.OptionsVisible;

if(GlobalData.UseKinect){
	OptionsInstance.KinectCheckBoxCurrentState = Entities.CheckBox.VariableState.Checked;
	}
	
if(GlobalData.UseWii){
	OptionsInstance.WiiCheckBoxCurrentState = Entities.CheckBox.VariableState.Checked;
	}
	
if(GlobalData.UseMove){
	OptionsInstance.MoveCheckBoxCurrentState = Entities.CheckBox.VariableState.Checked;
	}
		}
		void OnOkCancelInstanceOkClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.OkCancelInstanceOkClick != null)
			{
				OkCancelInstanceOkClick( callingWindow);
			}
		}
		void OnOkCancelInstanceOkClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			FlatRedBallServices.Game.Exit();
		}
		void OnOkCancelInstanceCancelClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.OkCancelInstanceCancelClick != null)
			{
				OkCancelInstanceCancelClick( callingWindow);
			}
		}
		void OnOkCancelInstanceCancelClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			this.CurrentState = MainMenu.VariableState.MainButtonsVisible;
		}
		void OnStartGameButtonClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.StartGameButtonClick != null)
			{
				StartGameButtonClick( callingWindow);
			}
		}
		void OnStartGameButtonClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			this.MoveToScreen(typeof(GameScreen).FullName);

		}
		void OnOptionsInstanceBackButtonClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.OptionsInstanceBackButtonClick != null)
			{
				OptionsInstanceBackButtonClick( callingWindow);
			}
		}
		void OnOptionsInstanceBackButtonClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			this.CurrentState = MainMenu.VariableState.MainButtonsVisible;
		}
		void OnOptionsInstanceKinectCheckBoxClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.OptionsInstanceKinectCheckBoxClick != null)
			{
				OptionsInstanceKinectCheckBoxClick( callingWindow);
			}
		}
		void OnOptionsInstanceKinectCheckBoxClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			if(GlobalData.UseKinect){
GlobalData.UseKinect = false;
}else {GlobalData.UseKinect = true;}
		}
		void OnOptionsInstanceMoveCheckBoxClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.OptionsInstanceMoveCheckBoxClick != null)
			{
				OptionsInstanceMoveCheckBoxClick( callingWindow);
			}
		}
		void OnOptionsInstanceMoveCheckBoxClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			if(GlobalData.UseMove){
GlobalData.UseMove = false;
}else {GlobalData.UseMove = true;}
		}
		void OnOptionsInstanceWiiCheckBoxClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.OptionsInstanceWiiCheckBoxClick != null)
			{
				OptionsInstanceWiiCheckBoxClick( callingWindow);
			}
		}
		void OnOptionsInstanceWiiCheckBoxClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			if(GlobalData.UseWii){
GlobalData.UseWii = false;
}else {GlobalData.UseWii = true;}
		}
	}
}
