using System;
using FlatRedBall;
using RiverGame.Entities;
using RiverGame.Screens;
namespace RiverGame.Screens
{
	public partial class OptionsScreen
	{
		void OnBackButtonInstanceClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.BackButtonInstanceClick != null)
			{
				BackButtonInstanceClick( callingWindow);
			}
		}
		void OnBackButtonInstanceClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			this.MoveToScreen(typeof(MainMenu).FullName);
		}
		void OnUseKinectCheckBoxClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.UseKinectCheckBoxClick != null)
			{
				UseKinectCheckBoxClick( callingWindow);
			}
		}
		void OnUseKinectCheckBoxClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			if(this.UseKinectCheckBox.CurrentState == CheckBox.VariableState.Checked)
{
   GlobalData.UseKinect = true;
   this.UseKinectCheckBox.DisplayText = "Kinect is active"; 
}
else
{
GlobalData.UseKinect = false;
   this.UseKinectCheckBox.DisplayText = "Kinect is not active";
}


		}
		void OnUseWiiCheckBoxClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.UseWiiCheckBoxClick != null)
			{
				UseWiiCheckBoxClick( callingWindow);
			}
		}
		void OnUseWiiCheckBoxClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			if(this.UseWiiCheckBox.CurrentState == CheckBox.VariableState.Checked)
{
   GlobalData.UseWii = true;
   this.UseWiiCheckBox.DisplayText = "Wii is active"; 
}
else
{
GlobalData.UseWii = false;
   this.UseWiiCheckBox.DisplayText = "Wii is not active";
}
		}
		void OnUseMoveCheckBoxClickTunnel (FlatRedBall.Gui.IWindow callingWindow)
		{
			if (this.UseMoveCheckBoxClick != null)
			{
				UseMoveCheckBoxClick( callingWindow);
			}
		}
		void OnUseMoveCheckBoxClick (FlatRedBall.Gui.IWindow callingWindow)
		{
			if(this.UseMoveCheckBox.CurrentState == CheckBox.VariableState.Checked)
{
   GlobalData.UseMove = true;
   this.UseMoveCheckBox.DisplayText = "Move is active"; 
}
else
{
   GlobalData.UseMove = false;
   this.UseMoveCheckBox.DisplayText = "Move is not active";
}
		}
	}
}
