﻿using Maze.Events;
using Microsoft.Research.Kinect.Nui;
using KinectModel = Maze.Input.Kinect.Models.Kinect;

namespace Maze.Input.Kinect.Events
{
    public class SkeletonProcessedEventArgs
    {
        public KinectModel Kinect
        {
            get;
            set;
        }

        public SkeletonData Skeleton
        {
            get;
            set;
        }
    }

    public class SkeletonProcessedEvent : EventBase<SkeletonProcessedEventArgs>
    {
    }
}
