﻿using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.Linq;

namespace Maze.Input.Kinect.Models
{
    public class KinectCollection : ObservableCollection<Kinect>
    {
        public void PublishInitialCollectionChanged()
        {
            var items = this.ToList();

            var args = new NotifyCollectionChangedEventArgs(NotifyCollectionChangedAction.Add, items, 0);

            OnCollectionChanged(args);
        }
    }
}
