﻿using System;

namespace Maze.Input.Wii.Models
{
    public struct Noise
    {
        public float Min, Max;

        public Noise(float min, float max)
        {
            Min = min;
            Max = max;
        }

        public void Adjust(float value)
        {
            Max = Math.Max(Max, value);
            Min = Math.Min(Min, value);
        }
    }
}
