﻿using System.Collections.Generic;
using Microsoft.Xna.Framework.Input;

namespace Maze.Input.Wrapper
{
    public interface IInputWrapper
    {
        bool IsActive
        {
            get;
        }

        bool IsGameplayAllowed
        {
            get;
        }

        List<string> Errors
        {
            get;
        }

        bool KeyPushed(Keys key);

        bool KeyDown(Keys key);
        
        void Destroy();
    }
}
