﻿using FlatRedBall;
using FlatRedBall.Graphics;
using Microsoft.Xna.Framework.Graphics;

namespace Maze.Models
{
    public class Finish : CollisionEntity
    {
        public Finish(Layer layer, string contentManager) : base(layer, contentManager)
        {
        }

        public override void Initialize(bool addToManagers)
        {
            Texture = FlatRedBallServices.Load<Texture2D>(@"Content\Game\Finish", ContentManagerName);
            
            base.Initialize(addToManagers);
        }
    }
}
