﻿using FlatRedBall.Graphics;

namespace Maze.Models.Items
{
    public class Apple : Item
    {
        public Apple(Layer layer, string contentManager) : base(layer, contentManager)
        {
        }

        protected override int Points
        {
            get
            {
                return 200;
            }
        }

        public override void Initialize(bool addToManagers)
        {
            LoadTexture("Apple");
            base.Initialize(addToManagers);
        }
    }
}
