﻿using FlatRedBall.Graphics;

namespace Maze.Models.Items
{
    public class Banana : Item
    {
        public Banana(Layer layer, string contentManager) : base(layer, contentManager)
        {
        }

        protected override int Points
        {
            get
            {
                return 150;
            }
        }

        public override void Initialize(bool addToManagers)
        {
            LoadTexture("Banana");
            base.Initialize(addToManagers);
        }
    }
}
