﻿using FlatRedBall.Graphics;

namespace Maze.Models.Items
{
    public class Strawberry : Item
    {
        public Strawberry(Layer layer, string contentManager) : base(layer, contentManager)
        {
        }

        protected override int Points
        {
            get
            {
                return 250;
            }
        }

        public override void Initialize(bool addToManagers)
        {
            LoadTexture("Strawberry");
            base.Initialize(addToManagers);
        }
    }
}
